﻿using MultipleGrids.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MultipleGrids.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var viewModel = new CustomerViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),
                Products = GetProducts(),
               
            };
            return View(viewModel);
        }
        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith" },
                new Customer { ID=3, Name="Marge Wright"},
                new Customer { ID=4, Name="Dwight Long"},
                new Customer { ID=5, Name="Amy Grant"},
            };
        }

        private IEnumerable<Product> GetProducts()
        {
            return new List<Product>
            {
                new Product { ID=1, Name="Pencil" },
                new Product { ID=3, Name="Rubber"},
            };
        }
    }
}